io.vertx.rxjava3.ext.web.handler.graphql.instrumentation

## Class MaybeAdapter

- java.lang.Object
- - graphql.execution.instrumentation.SimpleInstrumentation
  - - io.vertx.rxjava3.ext.web.handler.graphql.instrumentation.MaybeAdapter

- All Implemented Interfaces:
    graphql.execution.instrumentation.Instrumentation

      public class MaybeAdapter
      extends graphql.execution.instrumentation.SimpleInstrumentation

  Instrument data fetchers so that `Maybe` results are automatically converted to `CompletionStage`.

- - ### Field Summary

    - ### Fields inherited from class graphql.execution.instrumentation.SimpleInstrumentation

      `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MaybeAdapter` | `create()`
    `graphql.schema.DataFetcher<?>` | `instrumentDataFetcher(graphql.schema.DataFetcher<?> dataFetcher, graphql.execution.instrumentation.parameters.InstrumentationFieldFetchParameters parameters, graphql.execution.instrumentation.InstrumentationState state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface graphql.execution.instrumentation.Instrumentation

      `beginExecuteOperation, beginExecuteOperation, beginExecution, beginExecution, beginExecutionStrategy, beginExecutionStrategy, beginField, beginField, beginFieldComplete, beginFieldComplete, beginFieldFetch, beginFieldFetch, beginFieldListComplete, beginFieldListComplete, beginParse, beginParse, beginSubscribedFieldEvent, beginSubscribedFieldEvent, beginValidation, beginValidation, createState, createState, instrumentDataFetcher, instrumentDocumentAndVariables, instrumentDocumentAndVariables, instrumentExecutionContext, instrumentExecutionContext, instrumentExecutionInput, instrumentExecutionInput, instrumentExecutionResult, instrumentExecutionResult, instrumentSchema, instrumentSchema`

- - ### Method Detail

    - #### instrumentDataFetcher

          public graphql.schema.DataFetcher<?> instrumentDataFetcher(graphql.schema.DataFetcher<?> dataFetcher,
                                                                     graphql.execution.instrumentation.parameters.InstrumentationFieldFetchParameters parameters,
                                                                     graphql.execution.instrumentation.InstrumentationState state)

    - #### create

          public static MaybeAdapter create()

Copyright © 2024 Eclipse. All rights reserved.